<template>
    <div class="c-body">
        <div class="c-body__logo">
            <img src="https://s3-alpha-sig.figma.com/img/4868/c6fd/a5ea52463ffc15d7c193943934f7203c?Expires=1673222400&Signature=QsaOTQG6Amt04OMajZecgQC7yDwhvO12iOK-G2Q82x38sGQa3XrNNTSSywek-GdwlASPT4v8c0JuIKiPu~cVfzGkV16RI70fJQ2ZE3V9tW7MMHwgI35G0twzUdzI6zNYUZGaiwuszzyf5xg0GtttW~OpP~gjGWTR45mqt8iy8fP-Pc9vUaLGDEDCk0FgpBmqCV1-2UW1t7XnGBDAXRw7~S8U~XYY1OCJwu7Uir90lO5pwh8Vay3~J4~gpuhxAhHP-zEKwN9KIr~z8KzQMD-wcNWpO2pRiY5teUqoxDZ9NSUuI6Rxvmt4qrvRQkT9jE1g~CRbxeaqq4v~0dRWUYnmig__&Key-Pair-Id=APKAQ4GOSFWCVNEHN3O4"
                alt="" />
        </div>
        <div class="c-body__container">
            <div class="container__img">
                <img :src="'/images/' + shownImage.url" :alt="shownImage.url" />
            </div>
            <div>
                <p>{{ currentLanguage === "en" ? shownImage.en : shownImage.sr }}</p>
            </div>
            <div class="container__input">
                <input type="text" v-model="answer" @keyup.enter="onLetSee" />
            </div>
            <div class="container__btn">
                <button @click="onLetSee" :disabled="!answer.length" :class="{ 'is-disabled': !answer.length }">Let's
                    see</button>
            </div>
            <div class="container__feedback">
                <div>
                    <svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 24 24" height="1em"
                        width="1em" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M20,8h-5.612l1.123-3.367c0.202-0.608,0.1-1.282-0.275-1.802S14.253,2,13.612,2H12c-0.297,0-0.578,0.132-0.769,0.36 L6.531,8H4c-1.103,0-2,0.897-2,2v9c0,1.103,0.897,2,2,2h3h10.307c0.829,0,1.581-0.521,1.873-1.298l2.757-7.351 C21.979,12.239,22,12.12,22,12v-2C22,8.897,21.103,8,20,8z M4,10h2v9H4V10z M20,11.819L17.307,19H8V9.362L12.468,4l1.146,0 l-1.562,4.683c-0.103,0.305-0.051,0.64,0.137,0.901C12.377,9.846,12.679,10,13,10h7V11.819z">
                        </path>
                    </svg>
                    {{ thumbsUp }}/{{ this.images.length }}
                </div>
                <div>
                    <svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 24 24" height="1em"
                        width="1em" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M20,3h-3H6.693C5.864,3,5.112,3.521,4.82,4.298l-2.757,7.351C2.021,11.761,2,11.88,2,12v2c0,1.103,0.897,2,2,2h5.612 L8.49,19.367c-0.203,0.608-0.101,1.282,0.274,1.802C9.14,21.689,9.746,22,10.388,22H12c0.297,0,0.578-0.132,0.769-0.36l4.7-5.64 H20c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M11.531,20h-1.145l1.562-4.684c0.103-0.305,0.051-0.64-0.137-0.901 C11.623,14.154,11.321,14,11,14H4v-1.819L6.693,5H16v9.638L11.531,20z M18,14V5h2l0.001,9H18z">
                        </path>
                    </svg>
                    {{ thumbsDown }}/{{ this.images.length }}
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    data() {
        return {
            images: [],
            shownImage: [],
            languages: ["en", "sr"],
            currentLanguage: "en",
            wordToCompare: "",
            answer: "",
            thumbsUp: 0,
            thumbsDown: 0,
            currentIndex: 0,
        };
    },
    mounted() {
        this.onChangeLanguage();
        fetch("api/images")
            .then((response) => response.json())
            .then((data) => {
                let nekiArray = [];
                for (let i of data) {
                    let obj = {
                        url: i.url,
                        en: i.en,
                        sr: i.sr,
                        seen: false,
                    };
                    nekiArray.push(obj);
                }
                nekiArray.sort(() => (Math.random() > 0.5 ? 1 : -1));
                this.images = nekiArray;
                this.shownImage = this.images[0];
                this.currentIndex = 0;
            });
    },
    methods: {
        onChangeLanguage() {
            const random = Math.floor(Math.random() * this.languages.length);
            this.currentLanguage = this.languages[random];
        },
        onLetSee() {
            let wordToCompare =
                this.currentLanguage === "en" ? this.shownImage.sr : this.shownImage.en;
            if (wordToCompare.toLowerCase() === this.answer.toLowerCase()) {
                this.thumbsUp++;
            } else {
                this.thumbsDown++;
            }

            this.currentIndex++;
            this.shownImage = this.images[this.currentIndex];
            this.onChangeLanguage();
            this.answer = ''
        },
    },
};
</script>
<style>
body {
    margin: 0;
    background-color: #ff6700;
    width: 100%;
    display: flex;
    justify-content: center;
}

.c-body {
    display: flex;
    flex-direction: column;
    background-color: #ff6700;
    width: 100%;
    max-width: 1280px;
    justify-content: center;
    text-align: center;
    height: 100vh;
    gap: 15px;
}

.c-body__logo {
    position: static;
}

.c-body__logo img {
    height: 45px;
}

.c-body__container {
    display: flex;
    flex-direction: column;
    width: 1280px;
    max-width: 1280px;
    background-color: #fff;
    border: 1px solid black;
    height: 827px;
    justify-content: center;
    gap: 15px;
    border-radius: 10px;
}

.container__img {
    max-width: 1280px;
}

.container__img img {
    width: 700px;
    height: 464px;
    border-radius: 10px;
}

.container__input {
    max-width: 1280px;
    justify-content: center;
}

.container__input input {
    width: 694px;
    justify-content: center;
    border-radius: 10px;
    box-shadow: 6px -6px rgba(231, 190, 163, 0.3);
    box-shadow: -6px 6px rgba(255, 103, 0, 0.3);
    height: 50px;
    border-color: rgba(231, 190, 163, 0.3);
    font-size: 24px;
}

.container__feedback {
    display: flex;
    justify-content: center;
    gap: 150px;
}

.container__feedback svg {
    cursor: pointer;
    color: #ff6700;
}

.container__feedback div {
    align-items: center;
    color: #ff6700;
}

.container__btn {
    width: 1280px;
}

.container__btn button {
    background-color: #ff6700;
    border: none;
    font-size: 18px;
    font-weight: bold;
    color: #fff;
    border-radius: 10px;
    height: 60px;
    width: 324px;
    cursor: pointer;
}

.is-disabled {
    opacity: 0.5;
}

p {
    font-size: 24px;
}

@media (max-width: 1280px) {
    .container__img img {
        width: 400px;
        height: 265px;
        border-radius: 10px;
    }

    .container__input input {
        width: 500px;
        height: 40px;
    }

    .c-body__container {
        width: 1180px;
        max-width: 1180px;
        height: 600px;
        gap: 15px;
        border-radius: 10px;
    }

    .container__btn {
        width: 1180px;
    }
}

@media (max-width: 380px) {
    .container__img img {
        width: 308px;
        height: 205px;
        border-radius: 10px;
    }

    .container__input {
        width: 100%;
    }

    .container__input input {
        max-width: 208px;
        height: 36px;
    }

    .c-body__container {
        width: 100%;
        max-width: 380px;
        height: 600px;
        gap: 15px;
        border-radius: 10px;
        position: relative;
    }

    .container__btn {
        width: 348px;
    }

    .container__btn button {
        width: 216px;
        height: 50px;
    }

    .container__feedback {
        position: absolute;
        top: 10px;
        left: 0;
        right: 0;
    }
}
</style>